Skip to main content

Update Applicant: Rent Manager

PUThttps://api.propexo.com/v1/applicants/rentmanager/:applicant_id
Method
POST /Prospects

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters​

applicant_id stringrequired

The ID of the resource.

Request​

This endpoint expects an object.

    last_namestringrequired

    The last name associated with the applicant

    first_namestring

    The first name associated with the applicant

    middle_namestring

    The middle name associated with the applicant

    email_1string<email>

    The primary email address associated with the applicant

    date_of_birthstring<date-time>

    The date of birth associated with the applicant

    address_1string

    The first address line associated with the applicant

    citystring

    The city associated with the applicant

    statestring

    The state associated with the applicant

    zipstring

    The zip code associated with the applicant

    notesstring

    Notes associated with the applicant

Response​

Successful response

    meta objectrequired
    job_idstringrequired
    result objectrequired
    applicant_idstringrequired

    The Propexo unique identifier for the applicant

    last_namestringrequired

    The last name associated with the applicant

    first_namestring

    The first name associated with the applicant

    middle_namestring

    The middle name associated with the applicant

    email_1string<email>

    The primary email address associated with the applicant

    date_of_birthstring<date-time>

    The date of birth associated with the applicant

    address_1string

    The first address line associated with the applicant

    citystring

    The city associated with the applicant

    statestring

    The state associated with the applicant

    zipstring

    The zip code associated with the applicant

    notesstring

    Notes associated with the applicant

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
PUT /v1/applicants/rentmanager/:applicant_id
curl -X PUT https://api.propexo.com/v1/applicants/rentmanager/:applicant_id \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"last_name": "string"
}'
200 Successful response
{
"meta": {
"job_id": "string"
},
"result": {
"applicant_id": "string",
"last_name": "string",
"first_name": "string",
"middle_name": "string",
"email_1": "[email protected]",
"date_of_birth": "2024-07-29T15:51:28.071Z",
"address_1": "string",
"city": "string",
"state": "string",
"zip": "string",
"notes": "string"
}
}